Fix default platform location to common-packer
[releng/global-jjb.git] / .jjb-test / expected-xml / gerrit-node-node-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>7</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue>refs/heads/master</defaultValue>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>LFTOOLS_VERSION</name>
69           <description>Version of lftools to install. Can be a specific version like
70 '0.6.0' or a PEP-440 definition.
71 https://www.python.org/dev/peps/pep-0440/
72 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
73 </description>
74           <defaultValue>&lt;1.0.0</defaultValue>
75         </hudson.model.StringParameterDefinition>
76         <hudson.model.StringParameterDefinition>
77           <name>NODE_DIR</name>
78           <description>Path to a Node project directory.</description>
79           <defaultValue/>
80         </hudson.model.StringParameterDefinition>
81         <hudson.model.StringParameterDefinition>
82           <name>NODE_VERSION</name>
83           <description>Version of NodeJS to install.</description>
84           <defaultValue>6.11.4</defaultValue>
85         </hudson.model.StringParameterDefinition>
86       </parameterDefinitions>
87     </hudson.model.ParametersDefinitionProperty>
88   </properties>
89   <scm class="hudson.plugins.git.GitSCM">
90     <configVersion>2</configVersion>
91     <userRemoteConfigs>
92       <hudson.plugins.git.UserRemoteConfig>
93         <name>origin</name>
94         <refspec>$GERRIT_REFSPEC</refspec>
95         <url>$GIT_URL/$GERRIT_PROJECT</url>
96         <credentialsId>test-credential</credentialsId>
97       </hudson.plugins.git.UserRemoteConfig>
98     </userRemoteConfigs>
99     <branches>
100       <hudson.plugins.git.BranchSpec>
101         <name>refs/heads/origin/$GERRIT_BRANCH</name>
102       </hudson.plugins.git.BranchSpec>
103     </branches>
104     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
105     <remotePoll>false</remotePoll>
106     <gitTool>Default</gitTool>
107     <submoduleCfg class="list"/>
108     <reference/>
109     <gitConfigName/>
110     <gitConfigEmail/>
111     <extensions>
112       <hudson.plugins.git.extensions.impl.BuildChooserSetting>
113         <buildChooser class="com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTriggerBuildChooser"/>
114       </hudson.plugins.git.extensions.impl.BuildChooserSetting>
115       <hudson.plugins.git.extensions.impl.SubmoduleOption>
116         <disableSubmodules>false</disableSubmodules>
117         <recursiveSubmodules>true</recursiveSubmodules>
118         <trackingSubmodules>false</trackingSubmodules>
119         <parentCredentials>false</parentCredentials>
120         <reference/>
121         <timeout>10</timeout>
122       </hudson.plugins.git.extensions.impl.SubmoduleOption>
123       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
124     </extensions>
125   </scm>
126   <triggers class="vector">
127     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
128       <spec/>
129       <gerritProjects>
130         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
131           <compareType>ANT</compareType>
132           <pattern>releng/ciman</pattern>
133           <branches>
134             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
135               <compareType>ANT</compareType>
136               <pattern>**/master</pattern>
137             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
138           </branches>
139           <filePaths>
140             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
141               <compareType>ANT</compareType>
142               <pattern>{node-dir}/**</pattern>
143             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
144           </filePaths>
145           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
146         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
147       </gerritProjects>
148       <skipVote>
149         <onSuccessful>false</onSuccessful>
150         <onFailed>false</onFailed>
151         <onUnstable>false</onUnstable>
152         <onNotBuilt>false</onNotBuilt>
153       </skipVote>
154       <silentMode>false</silentMode>
155       <silentStartMode>false</silentStartMode>
156       <escapeQuotes>true</escapeQuotes>
157       <noNameAndEmailParameters>false</noNameAndEmailParameters>
158       <readableMessage>false</readableMessage>
159       <dependencyJobsNames/>
160       <notificationLevel/>
161       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
162       <triggerConfigURL/>
163       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
164       <triggerOnEvents>
165         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
166           <excludeDrafts>false</excludeDrafts>
167           <excludeTrivialRebase>false</excludeTrivialRebase>
168           <excludeNoCodeChange>false</excludeNoCodeChange>
169         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
170         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginDraftPublishedEvent/>
171         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
172           <commentAddedCommentContains>recheck$</commentAddedCommentContains>
173         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
174       </triggerOnEvents>
175       <buildStartMessage/>
176       <buildFailureMessage/>
177       <buildSuccessfulMessage/>
178       <buildUnstableMessage/>
179       <buildNotBuiltMessage/>
180       <buildUnsuccessfulFilepath/>
181       <customUrl/>
182       <serverName>test-server</serverName>
183     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
184   </triggers>
185   <builders>
186     <hudson.tasks.Shell>
187       <command>#!/bin/bash
188 # SPDX-License-Identifier: EPL-1.0
189 ##############################################################################
190 # Copyright (c) 2017 The Linux Foundation and others.
191 #
192 # All rights reserved. This program and the accompanying materials
193 # are made available under the terms of the Eclipse Public License v1.0
194 # which accompanies this distribution, and is available at
195 # http://www.eclipse.org/legal/epl-v10.html
196 ##############################################################################
197 echo &quot;---&gt; node-install.sh&quot;
198
199 # Ensure we fail the job if any steps fail.
200 # DO NOT set -u as virtualenv's activate script has unbound variables
201 set -e -o pipefail
202
203 virtualenv --quiet &quot;/tmp/v/python&quot;
204 # shellcheck source=/tmp/v/node/bin/activate disable=SC1091
205 source &quot;/tmp/v/python/bin/activate&quot;
206 pip install --quiet --upgrade pip
207 pip install --quiet --upgrade pipdeptree
208 pip install --quiet --upgrade nodeenv
209
210 echo &quot;----&gt; Pip Dependency Tree&quot;
211 pipdeptree
212
213 #!/bin/bash
214 # SPDX-License-Identifier: EPL-1.0
215 ##############################################################################
216 # Copyright (c) 2017 The Linux Foundation and others.
217 #
218 # All rights reserved. This program and the accompanying materials
219 # are made available under the terms of the Eclipse Public License v1.0
220 # which accompanies this distribution, and is available at
221 # http://www.eclipse.org/legal/epl-v10.html
222 ##############################################################################
223 echo &quot;---&gt; node-run.sh&quot;
224
225 # Ensure we fail the job if any steps fail.
226 # DO NOT set -u as virtualenv's activate script has unbound variables
227 set -e -o pipefail
228
229 # Prepare node
230 nodeenv --node=&quot;$NODE_VERSION&quot; --prebuilt &quot;/tmp/v/node&quot;
231 source /tmp/v/node/bin/activate
232 cd &quot;$WORKSPACE/$NODE_DIR&quot;
233 npm install
234 npm test
235 </command>
236     </hudson.tasks.Shell>
237   </builders>
238   <publishers>
239     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
240       <buildSteps>
241         <hudson.tasks.Shell>
242           <command>#!/bin/bash
243 # SPDX-License-Identifier: EPL-1.0
244 ##############################################################################
245 # Copyright (c) 2017 The Linux Foundation and others.
246 #
247 # All rights reserved. This program and the accompanying materials
248 # are made available under the terms of the Eclipse Public License v1.0
249 # which accompanies this distribution, and is available at
250 # http://www.eclipse.org/legal/epl-v10.html
251 ##############################################################################
252 echo &quot;---&gt; sysstat.sh&quot;
253 set +e  # DON'T fail build if script fails.
254
255 OS=$(facter operatingsystem)
256 case &quot;$OS&quot; in
257     Ubuntu)
258         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
259
260         # Dont run the script when systat is not enabled by default
261         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
262             exit 0
263         fi
264     ;;
265     CentOS|RedHat)
266         SYSSTAT_PATH=&quot;/var/log/sa&quot;
267     ;;
268     *)
269         # nothing to do
270         exit 0
271     ;;
272 esac
273
274 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
275 mkdir -p &quot;$SAR_DIR&quot;
276 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
277 # convert sar data to ascii format
278 while IFS=&quot;&quot; read -r sarfilenum
279 do
280     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
281 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
282
283 # DON'T fail build if script fails.
284 exit 0
285 </command>
286         </hudson.tasks.Shell>
287         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
288           <managedFiles>
289             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
290               <fileId>jenkins-log-archives-settings</fileId>
291               <targetLocation/>
292               <variable>SETTINGS_FILE</variable>
293             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
294           </managedFiles>
295         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
296         <EnvInjectBuilder>
297           <info>
298             <propertiesContent>SERVER_ID=logs</propertiesContent>
299           </info>
300         </EnvInjectBuilder>
301         <hudson.tasks.Shell>
302           <command>#!/bin/bash
303 # SPDX-License-Identifier: EPL-1.0
304 ##############################################################################
305 # Copyright (c) 2017 The Linux Foundation and others.
306 #
307 # All rights reserved. This program and the accompanying materials
308 # are made available under the terms of the Eclipse Public License v1.0
309 # which accompanies this distribution, and is available at
310 # http://www.eclipse.org/legal/epl-v10.html
311 ##############################################################################
312 echo &quot;---&gt; create-netrc.sh&quot;
313
314 # Ensure we fail the job if any steps fail.
315 set -eu -o pipefail
316
317 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
318 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
319     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
320     -v x:username -o &quot;:&quot; -v x:password \
321     &quot;$SETTINGS_FILE&quot;)
322
323 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
324 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
325 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
326
327 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
328 </command>
329         </hudson.tasks.Shell>
330         <hudson.tasks.Shell>
331           <command>#!/bin/bash
332 # SPDX-License-Identifier: EPL-1.0
333 ##############################################################################
334 # Copyright (c) 2017 The Linux Foundation and others.
335 #
336 # All rights reserved. This program and the accompanying materials
337 # are made available under the terms of the Eclipse Public License v1.0
338 # which accompanies this distribution, and is available at
339 # http://www.eclipse.org/legal/epl-v10.html
340 ##############################################################################
341 echo &quot;---&gt; lftools-install.sh&quot;
342
343 # Script to install lftools via a version passed in via lf-infra-parameters
344 #
345 # Required parameters:
346 #
347 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
348 #                      set to a strict version number like '1.2.3' or using
349 #                      PEP-440 definitions.
350 #
351 #                      Examples:
352 #                          &lt;1.0.0
353 #                          &gt;=1.0.0,&lt;2.0.0
354 #
355 # By default a released version of lftools should always be used.
356 # The purpose of the 2 variables below is so that lftools devs can test
357 # unreleased versions of lftools. There are 2 methods to install a dev version
358 # of lftools:
359 #
360 #     1) gerrit patch: Used to test a patch that has not yet been merged.
361 #                      To do this set something like this:
362 #                          LFTOOLS_MODE=gerrit
363 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
364 #
365 #     2) git branch: Used to install an lftools version from a specific branch.
366 #                    To use this set the variables as follows:
367 #                          LFTOOLS_MODE=git
368 #                          LFTOOLS_REFSPEC=master
369 #
370 #     3) release : The intended use case and default setting.
371 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
372
373 LFTOOLS_MODE=release  # release | git | gerrit
374 LFTOOLS_REFSPEC=master
375
376 # Ensure we fail the job if any steps fail.
377 # DO NOT set -u as virtualenv's activate script has unbound variables
378 set -e -o pipefail
379
380 virtualenv --quiet &quot;/tmp/v/lftools&quot;
381 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
382 source &quot;/tmp/v/lftools/bin/activate&quot;
383 pip install --quiet --upgrade pip
384
385 case $LFTOOLS_MODE in
386     gerrit)
387         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
388         pushd /tmp/lftools
389         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
390         git checkout FETCH_HEAD
391         pip install --quiet --upgrade -r requirements.txt
392         pip install --quiet --upgrade -e .
393         popd
394         ;;
395
396     git)
397         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
398         ;;
399
400     release)
401         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
402             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
403         fi
404
405         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
406         ;;
407 esac
408
409 lftools --version
410
411 # pipdeptree prints out a lot of information because lftools pulls in many
412 # dependencies. Let's only print it if we want to debug.
413 # echo &quot;----&gt; Pip Dependency Tree&quot;
414 # pip install --quiet --upgrade pipdeptree
415 # pipdeptree
416
417 #!/bin/bash
418 # SPDX-License-Identifier: EPL-1.0
419 ##############################################################################
420 # Copyright (c) 2017 The Linux Foundation and others.
421 #
422 # All rights reserved. This program and the accompanying materials
423 # are made available under the terms of the Eclipse Public License v1.0
424 # which accompanies this distribution, and is available at
425 # http://www.eclipse.org/legal/epl-v10.html
426 ##############################################################################
427 echo &quot;---&gt; logs-deploy.sh&quot;
428
429 # Ensure we fail the job if any steps fail.
430 set -eu -o pipefail
431
432 set -x  # Trace commands for this script to make debugging easier.
433
434 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
435 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
436
437 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
438 then
439     set +x # Disable trace since we no longer need it
440
441     echo &quot;WARNING: Logging server not set&quot;
442 else
443     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
444     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
445     BUILD_URL=&quot;${BUILD_URL}&quot;
446
447     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
448     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
449
450     set +x  # Disable trace since we no longer need it.
451
452     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
453 fi
454 </command>
455         </hudson.tasks.Shell>
456         <hudson.tasks.Shell>
457           <command>#!/bin/bash
458 # SPDX-License-Identifier: EPL-1.0
459 ##############################################################################
460 # Copyright (c) 2017 The Linux Foundation and others.
461 #
462 # All rights reserved. This program and the accompanying materials
463 # are made available under the terms of the Eclipse Public License v1.0
464 # which accompanies this distribution, and is available at
465 # http://www.eclipse.org/legal/epl-v10.html
466 ##############################################################################
467
468 # Clear log credential files
469 rm &quot;$SETTINGS_FILE&quot;
470 rm ~/.netrc
471 </command>
472         </hudson.tasks.Shell>
473         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
474           <regexp>^Build logs: .*</regexp>
475         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
476       </buildSteps>
477       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
478       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
479       <markBuildUnstable>false</markBuildUnstable>
480     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
481     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
482       <patterns>
483         <hudson.plugins.ws__cleanup.Pattern>
484           <pattern>**/*.jenkins-trigger</pattern>
485           <type>EXCLUDE</type>
486         </hudson.plugins.ws__cleanup.Pattern>
487       </patterns>
488       <deleteDirs>false</deleteDirs>
489       <cleanupMatrixParent>false</cleanupMatrixParent>
490       <externalDelete/>
491       <cleanWhenSuccess>true</cleanWhenSuccess>
492       <cleanWhenUnstable>true</cleanWhenUnstable>
493       <cleanWhenFailure>true</cleanWhenFailure>
494       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
495       <cleanWhenAborted>true</cleanWhenAborted>
496       <notFailBuild>true</notFailBuild>
497     </hudson.plugins.ws__cleanup.WsCleanup>
498   </publishers>
499   <buildWrappers>
500     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
501     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
502       <timeoutMinutes>10</timeoutMinutes>
503       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
504       <failBuild>true</failBuild>
505       <writingDescription>false</writingDescription>
506       <timeoutPercentage>0</timeoutPercentage>
507       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
508       <timeoutType>absolute</timeoutType>
509     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
510     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
511     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
512       <user>test-credential</user>
513     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
514     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
515     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
516       <managedFiles>
517         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
518           <fileId>npmrc</fileId>
519           <targetLocation>$HOME/.npmrc</targetLocation>
520           <variable/>
521         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
522       </managedFiles>
523     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
524   </buildWrappers>
525 </project>